package net.zenrindatacom.locationservice.sample.application;

import android.content.Intent;

/**
 * 位置測位ライブラリからの通知をキャスト通知するインタフェース
 */
public interface ILocationNotifyListener {
    //「測位結果（OKパターン）」通知（連続測位、単測位）
    void onNotifiedLocationOK(Intent intent);
    //「測位結果（NGパターン）」通知（連続測位、単測位）
    void onNotifiedLocationNG(Intent intent);
    //「状態変更」通知
    void onNotifiedStateChanged(Intent intent);
    //「測位開始時の設定情報」通知
    void onNotifiedCurrentSettingInfo(Intent intent);
    //「認証エラー」通知
    void onNotifiedAuthError(Intent intent);
    //「バージョン情報取得」通知
    void onNotifiedGetVersion(Intent intent);
    //「設定値取得」通知
    void onNotifiedGetLibrarySettings(Intent intent);
    //「内部エラー」通知
    void onNotifiedInternalError(Intent intent);
    //「オペレーション実行エラー」通知
    void onNotifiedOperationError(@SuppressWarnings("unused") Intent intent);

    //指定した精度閾値により測位情報が捨てられた際の通知(for Debug)
    void onNotifiedDiscardedLocation(Intent intent);
}
