package net.zenrindatacom.locationservice.sample.http;

/**
 * 位置蓄積サーバへアクセスした際に発生する例外クラス
 *
 * @author N.Miyahara
 */
public class LocationServerException extends Throwable {
    public enum ErrorType {
        /** タイムアウト */
        TIMEOUT,
        /** サーバーエラー（パラメータエラー）*/
        SERVER_PARAM_ERROR,
        /** サーバエラー(上記以外) */
        SERVER_ERROR,
        /** その他のエラー */
        ETC_ERROR
    }

    /** エラータイプ */
    private final LocationServerException.ErrorType errorType;

    /** Exception */
    private Exception e;

    public LocationServerException(LocationServerException.ErrorType errorType) {
        this.errorType = errorType;
    }

    public LocationServerException(LocationServerException.ErrorType errorType, Exception e) {
        this.errorType = errorType;
        this.e = e;
    }

    public LocationServerException.ErrorType getErrorType() {
        return errorType;
    }

    @SuppressWarnings("unused")
    public Exception getException() {
        return e;
    }
}
