package net.zenrindatacom.locationservice.sample.http.dto;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;

/**
 * (位置蓄積サーバ)位置登録APIのリクエストDTO
 *
 * @author N.Miyahara
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SrvEntryPositionReqDto {
    /**
     * 1件分の位置情報クラス
     */
    @SuppressWarnings("unused")
    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Position {
        /** DB検索可能フラグ */
        private boolean isSearch;
        /** 位置取得日時 */
        private String time;
        /** 緯度 */
        private Double lat;
        /** 経度 */
        private Double lon;
        /** 水平精度 */
        private Double accuracy;
        /** 方位 */
        private Double bearing;
        /** 標高 */
        private Double altitude;
        /** 速度 */
        private Double speed;
        /** 付加情報 */
        private String extra;
        /** 非検索付加情報 */
        private String unsearchableExtra;

        public boolean getIsSearch() {
            return isSearch;
        }

        public void setIsSearch(boolean isSearch) {
            this.isSearch = isSearch;
        }

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public Double getLat() {
            return lat;
        }

        public void setLat(Double lat) {
            this.lat = lat;
        }

        public Double getLon() {
            return lon;
        }

        public void setLon(Double lon) {
            this.lon = lon;
        }

        public Double getAccuracy() {
            return accuracy;
        }

        public void setAccuracy(Float accuracy) {
            // float型からDouble型に直接変換すると誤差が生じるため、
            // 一旦String型に変換してからDouble型へ変換を行う
            this.accuracy = (accuracy != null ? Double.parseDouble(accuracy.toString()) : null);
        }

        public Double getBearing() {
            return bearing;
        }

        public void setBearing(Float bearing) {
            // float型からDouble型に直接変換すると誤差が生じるため、
            // 一旦String型に変換してからDouble型へ変換を行う
            this.bearing = (bearing != null ? Double.parseDouble(bearing.toString()) : null) ;
        }

        public Double getAltitude() {
            return altitude;
        }

        public void setAltitude(Double altitude) {
            this.altitude = altitude;
        }

        public Double getSpeed() {
            return speed;
        }

        public void setSpeed(Float speed) {
            // float型からDouble型に直接変換すると誤差が生じるため、
            // 一旦String型に変換してからDouble型へ変換を行う
            this.speed = (speed != null ? Double.parseDouble(speed.toString()) : null);
        }

        public String getExtra() {
            return extra;
        }

        public void setExtra(String extra) {
            this.extra = extra;
        }

        public String getUnsearchableExtra() {
            return unsearchableExtra;
        }

        public void setUnsearchableExtra(String unsearchableExtra) {
            this.unsearchableExtra = unsearchableExtra;
        }
    }

    /** 端末ID */
    private String deviceId;

    /** 位置情報 */
    private ArrayList<Position> positions;

    @SuppressWarnings("unused")
    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    @SuppressWarnings("unused")
    public ArrayList<Position> getPositions() {
        return positions;
    }

    public void setPositions(ArrayList<Position> positions) {
        this.positions = positions;
    }
}
