package net.zenrindatacom.locationservice.sample.http.dto;

/**
 * (トークン発行サーバ)トークン取得APIのリクエストDTO
 *
 * @author N.Miyahara
 */
public class SrvTokenReqDto {

    /** パラメータ名：付与タイプ */
    private static final String KEY_GRANT_TYPE = "grant_type";

    /** 付与タイプ */
    private String grantType;

    /**
     * 付与タイプを取得する
     * @return 付与タイプ
     */
    @SuppressWarnings("unused")
    public String getGrantType() {
        return grantType;
    }

    /**
     * 付与タイプを設定する
     * @param grantType 付与タイプ
     */
    public void setGrantType(String grantType) {
        this.grantType = grantType;
    }

    /**
     * リクエストボディを生成
     *
     * @return リクエストボディ
     */
    public String getRequestBody() {
        return KEY_GRANT_TYPE + "=" + grantType;
    }
}
