package net.zenrindatacom.locationservice.sample.locationlib;

/**
 * 位置測位ライブラリのインタフェースで使用する定義値
 */
public class LocationLibConst {
    //===============================================================================
    // 位置測位ライブラリへ渡すIntent内のKeyと値
    //===============================================================================
    //Key : Intentの種類
    public static final String KEY_OPERATION = "Operation";
    //Key : APIキー
    public static final String KEY_API_KEY = "ApiKey";
    //Key : クライアントID
    public static final String KEY_CLIENT_ID = "ClientID";
    //Key : 秘密鍵
    public static final String KEY_SECRET = "Secret";
    //Key : プロバイダの種類
    public static final String KEY_PROVIDER = "Provider";
    //Key : 測位間隔
    public static final String KEY_INTERVAL = "Interval";
    //Key : 測位結果通知時のアプリのパッケージ名
    public static final String KEY_PACKAGE_NAME = "PackageName";
    //Key : 測位結果通知時のアプリのクラス名
    public static final String KEY_CLASS_NAME = "ClassName";
    //Key : デバッグモード
    public static final String KEY_DEBUG = "Debug";
    //Key : 測位精度
    public static final String KEY_ACCURACY_THRESHOLD = "AccuracyThreshold";
    //Key : 同一位置判定距離
    public static final String KEY_SAME_POSITION_DETERMINING_DISTANCE = "SamePositionDeterminingDistance";
    //Key : 同一位置判定回数
    public static final String KEY_SAME_POSITION_DETERMINING_COUNT = "SamePositionDeterminingCountThreshold";
    //Key : NotificationID
    public static final String KEY_NOTIFICATION_ID = "NotificationID";
    //Key : Notification
    public static final String KEY_NOTIFICATION = "Notification";
    //Key : 認証サーバ環境
    public static final String KEY_AUTH_ENV = "AuthEnv";

    //Value : Intentの種類（測位開始）
    public static final String OPERATION_START = "START";
    //Value : Intentの種類（測位停止）
    public static final String OPERATION_STOP = "STOP";
    //Value : Intentの種類（現在地取得（単測位））
    public static final String OPERATION_GET_LOCATION = "GET_LOCATION";
    //Value : Intentの種類（バージョン取得）
    public static final String OPERATION_GET_VERSION = "GET_VERSION";
    //Value : Intentの種類（設定値取得）
    public static final String OPERATION_GET_LIBRARY_SETTINGS = "GET_LIBRARY_SETTINGS";

    //===============================================================================
    // 位置測位ライブラリから通知時のIntent内のKeyと値
    // 　（上記の「位置測位ライブラリへ渡すIntent内のKeyと値」とKey定義が重複するものについては再定義しない）
    //===============================================================================

    //===== 通知時基本情報 =====

    //Key : 取得情報
    public static final String KEY_INFORMATION = "Information";
    //Key : 取得結果
    public static final String KEY_RESULT = "Result";
    //Value : 取得結果 OK
    public static final String RESULT_OK = "OK";
    //Value : 取得結果 NG
    public static final String RESULT_NG = "NG";

    //===== 測位結果Intent =====

    //Value : 取得情報(連続測位)
    public static final String INFORMATION_MEASURE = "Measure";
    //Value : 取得情報(単測位)
    public static final String INFORMATION_LOCATION_RESULT = "LocationResult";
    //Key : 緯度
    public static final String KEY_LATITUDE = "Latitude";
    //Key : 経度
    public static final String KEY_LONGITUDE = "Longitude";
    //Key : 日時
    public static final String KEY_DATE = "Date";
    //Key : 精度
    public static final String KEY_ACCURACY = "Accuracy";
    //Key : 標高
    public static final String KEY_ALTITUDE = "Altitude";
    //Key : 速度
    public static final String KEY_SPEED = "Speed";
    //Key : 方位
    public static final String KEY_BEARING = "Bearing";
    //Key : エラー原因
    public static final String KEY_CAUSE = "Cause";

    //===== 状態変更Intent =====

    //Value : 取得情報(状態変更)
    public static final String INFORMATION_STATE_CHANGED = "StateChanged";
    //Key : 変更した状態
    public static final String KEY_CHANGED_STATE = "ChangedState";
    //Key : 変更した原因
    public static final String KEY_STATE_CHANGE_CAUSE = "StateChangeCause";
    //Key : 変更した理由
    public static final String KEY_STATE_CHANGE_CAUSE_RESULT = "StateChangeCauseResult";

    //===== 測位開始時の設定情報Intent =====

    //Value : 取得情報(測定開始時の設定情報)
    public static final String INFORMATION_CURRENT_SETTING = "CurrentSettings";
    //Key : 現在のライブラリの状態
    public static final String KEY_CURRENT_STATE = "CurrentState";
    //Key : 測位開始エラーステータス
    public static final String KEY_SETTING_ERROR = "SettingErrorState";

    //===== 認証エラーIntent =====

    //Value : 取得情報(認証エラー)
    public static final String INFORMATION_AUTH_ERROR = "AuthError";
    //Key : エラーステータス
    public static final String KEY_AUTH_ERROR_STATE = "ErrorState";
    //Key : エラーメッセージ
    public static final String KEY_AUTH_ERROR_MESSAGE = "ErrorMessage";

    //===== Version情報Intent =====

    //Value : 取得情報(バージョン情報)
    public static final String INFORMATION_GET_VERSION = "GetVersion";
    //Key : バージョン
    public static final String KEY_VERSION = "Version";

    //===== 設定値取得Intent =====

    //Value : 取得情報(設定値取得)
    public static final String INFORMATION_GET_LIBRARY_SETTINGS = "GetLibrarySettings";
    //Key : 取得した設定情報種別
    public static final String KEY_OPERATION_VALUE = "OperationValue";

    //===== 内部エラーIntent =====

    //Value : 取得情報(内部エラー)
    public static final String INFORMATION_ERROR = "Error";
    //Key : エラー内容
    public static final String KEY_ERROR_STATUS = "ErrorStatus";

    //===== オペレーション実行エラーIntent =====

    //Value : 取得情報(オペレーション実行エラー)
    public static final String INFORMATION_OPERATION_ERROR = "OperationError";

    //===== 指定精度閾値により捨てられた測位情報(Debug時) =====

    //Value : 取得情報(測位情報(Debug時))
    public static final String INFORMATION_DISCARDED_MEASURE = "DiscardedMeasure";


    //===============================================================================
    // 状態変更Intent内の「変更した状態（ChangedState）」の値定義
    //===============================================================================
    //Value : 初期状態
    public static final int STATE_CHANGED_STATE_INITIAL = 0;
    //Value : 位置測位状態
    public static final int STATE_CHANGED_STATE_POSITIONING = 1;
    //Value : 測位停止状態
    public static final int STATE_CHANGED_STATE_POSITIONING_STOPPED = 2;

    //===============================================================================
    // 状態変更Intent内の「変更した原因（StateChangeCause）」の値定義
    //===============================================================================
    //Value : 同一位置関連
    public static final int STATE_CHANGED_CAUSE_SAME_POSITION = 0;

    //===============================================================================
    // 状態変更Intent内の「変更した理由（StateChangeCauseResult）」の値定義
    //===============================================================================
    //Value : 同一位置に入った
    public static final int STATE_CHANGED_RESULT_SAME_POSITION_IN = 0;
    //Value : 同一位置から出た
    public static final int STATE_CHANGED_RESULT_SAME_POSITION_OUT = 1;

    //===============================================================================
    // 「測位開始時の設定情報」Intent内の「測位開始エラーステータス（SettingErrorState）」の値定義
    //===============================================================================
    //Value : エラーなし
    public static final int CURRENT_SETTINGS_ERROR_STATE_NO_ERROR = 0;
    //Value : パーミッションチェックでエラー
    public static final int CURRENT_SETTINGS_ERROR_STATE_PERMISSION = 1;

    //===============================================================================
    // 「認証エラー」Intent内の「エラーステータス（ErrorState）」の値定義
    //===============================================================================
    //Value : トークン発行認証失敗
    public static final int AUTH_ERROR_STATE_GET_TOKEN_AUTH_FAILED = 1;
    //Value : 認証不許可
    public static final int AUTH_ERROR_STATE_AUTH_NOT_AUTHORIZED = 2;

    //===============================================================================
    // 「内部エラー」Intent内の「エラーステータス（ErrorStatus）」の値定義
    //===============================================================================
    //Value : 位置取得エラーによる測位停止
    public static final int INTERNAL_ERROR_STATUS_NOT_START_LOCATION = 1;
}

